# https://github.com/python-pillow/Sane/archive/v2.8.3.tar.gz
%global module sane

Name:           python-%{module}
Version:        2.8.3
Release:        %mkrel 2
Summary:        Python SANE interface

License:        MIT
Group:          Development/Python
URL:            https://github.com/python-pillow/Sane
Source0:        Sane-%{version}.tar.xz

BuildRequires:  %{_lib}sane1-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python-pillow
Requires:       python-numpy
Requires:       sane-backends

%description
%{summary}.

%package -n python3-%{module}
Summary:        Python SANE interface
Requires:       python3-pillow
Requires:       python3-numpy
Requires:       sane-backends

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn Sane-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitearch}

%files
%doc CHANGES.rst COPYING sanedoc.txt example.py
%{python2_sitearch}/*

%files -n python3-%{module}
%doc CHANGES.rst COPYING sanedoc.txt example.py
%{python3_sitearch}/*

%changelog
* Mon Aug 22 2022 tex - 2.8.3-2pclos2022
- rebuild against updates

* Thu Apr 12 2018 marcin82 <fixxer1982 at gmail.com> 2.8.3-1pclos2018
- initial build for PCLinuxOS
